// VTK-RELAY-01 API V1.1 2020/01/02
#define VTK_RELAY_01_API extern "C" __declspec(dllimport)


VTK_RELAY_01_API void ExIO_Get_DLL_Version(int *pnMajorVersion, int *pnMinorVersion);

VTK_RELAY_01_API int  ExIO_Connect(int nSerialPortNum);
VTK_RELAY_01_API void ExIO_Disconnect();

VTK_RELAY_01_API int  ExIO_GetMCUVersion(int *pnMCUVersion);
VTK_RELAY_01_API int  ExIO_GetDTPVersion(int *pnDTPVersion);
VTK_RELAY_01_API int  ExIO_GetBLVersion(int *pnBLVersion);
VTK_RELAY_01_API int  ExIO_GetDTPType(int *pnDTPType);
VTK_RELAY_01_API int  ExIO_GetIgnitionStatus(int *pnIgnitionStatus);
VTK_RELAY_01_API int  ExIO_GetSupplyVoltage(int *pnSupplyVoltage);

VTK_RELAY_01_API int  ExIO_SetFlashUpdate();

VTK_RELAY_01_API int  ExIO_GetExtGPILevel(int *pnGPI12, int *pnGPI34);
VTK_RELAY_01_API int  ExIO_GetExtGPOPullUp(int *pnGPO12, int *pnGPO34);
VTK_RELAY_01_API int  ExIO_GetExtGPIStatus(int *pnGPI1, int *pnGPI2, int *pnGPI3, int *pnGPI4);
VTK_RELAY_01_API int  ExIO_GetExtGPOStatus(int *pnGPO1, int *pnGPO2, int *pnGPO3, int *pnGPO4);
VTK_RELAY_01_API int  ExIO_GetRelayStatus(int *pnRelay1, int *pnRelay2, int *pnRelay3, int *pnRelay4);
VTK_RELAY_01_API int  ExIO_GetInputCurrent(int *pnInputCurrent);
VTK_RELAY_01_API int  ExIO_GetInputVoltage(int *pnInputVoltage);
VTK_RELAY_01_API int  ExIO_GetInputFrequency(int *pnInputFrequency);

VTK_RELAY_01_API int  ExIO_SetExtGPILevelControl(int nGPI12, int nGPI34);
VTK_RELAY_01_API int  ExIO_SetExtGPOPullUpControl(int nGPO12, int nGPO34);
VTK_RELAY_01_API int  ExIO_SetExtGPOControl(int nGPO1, int nGPO2, int nGPO3, int nGPO4);
VTK_RELAY_01_API int  ExIO_SetRelayControl(int nRelay1, int nRelay2, int nRelay3, int nRelay4);
